# Class GoogleGeneRegionChart

java.lang.Object
org.snpeff.stats.plot.GoogleGeneRegionChart

Direct Known Subclasses:
  `GoogleGeneRegionNumExonsChart`

public class GoogleGeneRegionChart extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`body`
`protected CoverageByType`
`coverageByType`
`protected static final String[]`
`DEFAULT_TYPES`
`protected String`
`header`
`protected GoogleLineChart`
`lineChart`
`protected String`
`name`
`protected String[]`
`types`

## Constructor Summary

Constructors
Constructor
Description
`GoogleGeneRegionChart(CoverageByType coverageByType, String name)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toStringHtmlBody()`
`String`
`toStringHtmlHeader()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_TYPES

protected static final String[] DEFAULT_TYPES

### types

protected String[] types

### coverageByType

protected CoverageByType coverageByType

### lineChart

protected GoogleLineChart lineChart

### name

protected String name

### header

protected String header

### body

protected String body

## Constructor Details

### GoogleGeneRegionChart

public GoogleGeneRegionChart(CoverageByType coverageByType, String name)

## Method Details

### toStringHtmlBody

public String toStringHtmlBody()

### toStringHtmlHeader

public String toStringHtmlHeader()